Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.LocalQueries.OneIdentityOptionCase

java.lang.Object
java.lang.Enum<ClientWireProtocol.LocalQueries.OneIdentityOptionCase>
com.ocient.jdbc.proto.ClientWireProtocol.LocalQueries.OneIdentityOptionCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<ClientWireProtocol.LocalQueries.OneIdentityOptionCase>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol.LocalQueries

    public static enum ClientWireProtocol.LocalQueries.OneIdentityOptionCase
    extends Enum<ClientWireProtocol.LocalQueries.OneIdentityOptionCase>
    implements com.google.protobuf.Internal.EnumLite

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ONEIDENTITYOPTION_NOT_SET` |
`UUID_IDENTITY` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase` | `forNumber​(int value)` |
`int` | `getNumber()` |
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.LocalQueries.OneIdentityOptionCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UUID_IDENTITY

public static final ClientWireProtocol.LocalQueries.OneIdentityOptionCase UUID_IDENTITY

### ONEIDENTITYOPTION_NOT_SET

public static final ClientWireProtocol.LocalQueries.OneIdentityOptionCase ONEIDENTITYOPTION_NOT_SET

## Method Details

### values

public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.LocalQueries.OneIdentityOptionCase forNumber​(int value)

### getNumber

public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`